<?php

namespace Drupal\lightbox_tobii\Plugin\Field\FieldFormatter;

/**
 * Trait for lightbox formatters.
 */
trait LightboxTobiiFormatterTrait {

  /**
   * Attach the Tobii library with all its site-wide settings.
   */
  protected function attachLibraryAndGlobalSettings(array &$elements) {
    $elements['#attached']['library'][] = 'lightbox_tobii/tobii';
    $config = $this->configFactory->get('lightbox_tobii.settings');
    $tobii_settings = [];
    $zoom_text = $config->get('zoom_text');
    if (!empty($zoom_text)) {
      $tobii_settings['zoomText'] = $zoom_text;
    }
    if (count($tobii_settings) > 0) {
      $elements['#attached']['drupalSettings']['lightbox_tobii'] = $tobii_settings;
    }
  }

}
